#### Previous topic

scipy.special.fdtridfd

#### Next topic

scipy.special.gdtrc

# scipy.special.gdtr

`scipy.special.``gdtr`(a, b, x) = <ufunc 'gdtr'>

  Gamma distribution cumulative density function.

  Returns the integral from zero to x of the gamma probability density function,

  \[F = \int_0^x \frac{a^b}{\Gamma(b)} t^{b-1} e^{-at}\,dt,\]

  where \(\Gamma\) is the gamma function.

  Parameters:

  a : array_like

  > The rate parameter of the gamma distribution, sometimes denoted \(\beta\) (float). It is also the reciprocal of the scale parameter \(\theta\).

  b : array_like

  > The shape parameter of the gamma distribution, sometimes denoted \(\alpha\) (float).

  x : array_like

  > The quantile (upper limit of integration; float).

  Returns:

  F : ndarray

  > The CDF of the gamma distribution with parameters a and b evaluated at x.

  See also

  `gdtrc`
    1 - CDF of the gamma distribution.

  Notes

  The evaluation is carried out using the relation to the incomplete gamma integral (regularized gamma function).

  Wrapper for the Cephes [R396] routine `gdtr`.

  References

  [R396] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html